Subject: Re: basic stuff
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Peter Buckley <[email-masked]>, "Joe T." <[email-masked]>
Cc: [email-masked]
Date: Mon, 23 Jul 2001 12:26:57 -0400

The name of the switch is -mno-cygwin actually.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 11:45 AM 7/23/2001, Peter Buckley wrote:
>Try searching the mailing list archives for "--mno cygwin"
>Use google to search the cygwin.com website like this-
>
>mno cygwin site:cygwin.com
>
>AFAICS, (and this is just from my experience lurking this list)
>the --mno cygwin option is a way to compile a program so it
>doesn't depend on the cygwin1.dll.
>
>HTH,
>Peter
>
>"Joe T." wrote:
>
> > Hello,
> >
> > I'm new to cygwin, not new to programming though.
> > I scanned through the documentation, but didnt find an
> > answer to my questions. maybe im just that blind.
> >
> > I would like to work on some socket programming on
> > windows and I'm trying to find a good compiler. since
> > I have a good background in unix programming, i
> > figured cygwin would be my best bet. but there are
> > some problems:
> >
> > I like using synedit (www.mkidesigns.com) for my IDE.
> > after ive compiled the program and i run it, it tells
> > me it needs cygwin1.dll. if i copy this file to
> > windows/system, im able to run the program.
> >
> > so my questions are, do i have to work with cygwin
> > directly in the 'unix' environment? or is it possible
> > to work completely in a win32 environment? are all the
> > programs compiled to the cygwin.dll, and if so,
> > wouldnt that make it rather hard to run that program
> > on another windows machine?
> >
> > if cygwin isnt what im really looking for in a
> > compiler, could someone else suggest another free one
> > that would suit my needs?
> >
> > thank you
> >
> > =====
> > ----(Joe Topjian)---------
> > web:   http://terrarum.net
> > email: [email-masked]
> > --------------------------
> >
> > __________________________________________________
> > Do You Yahoo!?
> > Make international calls for as low as $.04/minute with Yahoo! Messenger
> > http://phonecard.yahoo.com/
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/